// The Application class for XaoS on BeOS.
// Copyright  1997  Jens Kilian (jjk@acm.org)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef XAOSAPPLICATION_H
#define XAOSAPPLICATION_H

#include <Application.h>
#include <Bitmap.h>
#include <Message.h>

class XaoSApplication : public BApplication
{
public:
	// Constructor, destructor.
	XaoSApplication(void);
	virtual ~XaoSApplication(void);
	
	// Hook functions.
	virtual void AboutRequested(void);
	virtual bool QuitRequested(void);
	
	// Main loop.
	static long Main(void *data);

private:
	XaoSApplication(const XaoSApplication &orig);
	XaoSApplication &operator =(const XaoSApplication &orig);
	
	BBitmap *MakeSplashBitmap(void);
	
	// Data members.
	BWindow *mpSplashWindow;
};

#endif // XAOSAPPLICATION_H