/* config.h for the BeOS version. */

#ifndef CONFIG_H
#define CONFIG_H

#define DEFAULT_MAX_ITER 170
#define FPOINT_TYPE double
#undef USE_LONG
#define MAXSTEP 0.008
#define XSIZE 400
#define YSIZE 300
#define ROTATIONSPEED -7


/* You don't need to change these lines unless you now what you are doing */

	/*this is old style of configuring XaoS */



#ifdef __GNUC__

#define myfabs(x) fabs(x)

#define CONST const

#define INLINE __inline__

#ifndef __STRICT_ANSI__

#define CONSTF __attribute__ ((const))

#define REGISTERS(n) __attribute__ ((regparm(n)))

#else

#warning Remove -ansi switch from your Makefile to get better code.

#define CONSTF

#define REGISTERS(n)

#endif

#else

#ifdef __cplusplus

#define CONST const

#define INLINE inline

#else

#define myfabs(x) ((x)>0?(x):-(x))

#ifdef ANSI_SOURCE

#define CONST const

#else

#define CONST

#endif

#define INLINE

#endif

#define CONSTF

#define REGISTERS(n)

#endif

#ifndef HAVE_GETTIMEOFDAY

//#define HAVE_GETTIMEOFDAY

#endif

#ifndef TIME_WITH_SYS_TIME

#define TIME_WITH_SYS_TIME

#endif

#ifndef HAVE_LIMITS_H

#define HAVE_LIMITS_H

#endif

#define HAVE_UNISTH_H

#ifndef HAVE_SYS_TIME_H

//#define HAVE_SYS_TIME_H

#endif

#ifdef _plan9_

#define exit(i) exits("Unix exit called")

#define INT_MAX 2127423647

		/*some better way? */

#endif

#ifdef _MAC

#ifndef INT_MAX

#define INT_MAX 0xEfffffff

#endif

#endif



		/*some constatnts used by various parts of XaoS */

#undef DEBUG

#define FRAMERATE	20

#define LOOKSIZE 2

				  /*size explored by autopilot */

#define MAXTIME 50

				  /*maximum zooming time to one direction */

#define NGUESSES1 40

				/*maximum number of guesses using first

				   method */

#define NGUESSES2 1000

				/*maximum number of guesses using second

				   method */

#define STEP		0.0006

				/*speedup */

#define SPEEDUP		1.05

				/*speedup of speedup */

/*Don't change following lines */



#undef SCROLLING		/* color scrolling is broken for now */

#define SIFT		(26)	/*fixed point parameters */

#define MAXCOLORS	256	/*number of colors */

#define MUL		(1<<SIFT)

extern int MAXITER;



typedef FPOINT_TYPE number_t;


#ifdef STATISTICS
#define STAT(x) x
#else
#define STAT(x)
#endif

#endif				/*CONFIG_H */

